USE [SitecoreLocalization_Data]
GO
/****** Object:  Table [dbo].[TranslationQueue]    Script Date: 10/24/2014 8:26:00 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[TranslationQueue](
    [Id] [int] IDENTITY(1,1) NOT NULL,
    [FileUri] [nvarchar](255) NOT NULL,
    [ItemId] [nvarchar](50) NOT NULL,
    [Path] [nvarchar](max) NOT NULL,
    [SourceDatabase] [nvarchar](50) NOT NULL,
    [SourceLanguage] [nvarchar](50) NOT NULL,
    [TargetLanguage] [nvarchar](50) NOT NULL,
    [Status] [nvarchar](50) NOT NULL,
    [PercentComplete] [int] NOT NULL,
    [WordCount] [int] NOT NULL,
    [Applied] [datetime] NULL,
    [Submitted] [datetime] NOT NULL,
    [SubmittedBy] [nvarchar](50) NOT NULL,
    [Created] [datetime] NOT NULL,
    [Updated] [datetime] NOT NULL,
    [LastModified] [datetime] NOT NULL,
    [Revision] [nvarchar](50) NOT NULL,
    [MediaContent] [bit] NOT NULL,
    [LastError] [nvarchar](500) NULL,
    [Locked] [bit] NOT NULL

    CONSTRAINT [PK_TranslationQueue] PRIMARY KEY CLUSTERED
    (
        [Id] ASC
    )
    WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
ALTER TABLE [dbo].[TranslationQueue] ADD  CONSTRAINT [DF_TranslationQueue_Created]  DEFAULT (getdate()) FOR [Created]
GO
ALTER TABLE [dbo].[TranslationQueue] ADD  CONSTRAINT [DF_TranslationQueue_Updated]  DEFAULT (getdate()) FOR [Updated]
GO
ALTER TABLE [dbo].[TranslationQueue] ADD  CONSTRAINT [DF_TranslationQueue_Submitted]  DEFAULT (getdate()) FOR [Submitted]
GO
ALTER TABLE [dbo].[TranslationQueue] ADD  CONSTRAINT [DF_TranslationQueue_SubmittedBy]  DEFAULT (N'()') FOR [SubmittedBy]
GO

/****** Object:  Trigger [dbo].[trg_SetUpdatedDate]    Script Date: 8/27/2013 8:02:28 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TRIGGER [dbo].[trg_SetUpdatedDate]
ON [dbo].[TranslationQueue]
AFTER UPDATE
AS
    UPDATE dbo.TranslationQueue
    SET Updated = GETUTCDATE()
    WHERE Id IN (SELECT DISTINCT Id FROM Inserted)
GO
